<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns="http://www.w3.org/1999/html"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Day Off Allowed By Pattern Schedule</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Day Off Allowed By Pattern Schedule
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Setting</li>
        <li class="active"> Day Off Allowed By Pattern Schedule</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">
        <div class="col-md-3">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <div class="box">
                <form th:action="@{/setting/day/off/shift_allowed/save(dayOff = ${dayOff.id})}" method="get">
                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-12">
                                <h3 class="box-title">Day Off Allowed By Pattern Schedule</h3>
                            </div>
<!--                            <div class="col-md-6" align="right">-->
<!--&lt;!&ndash;                                Show entries <span sd:page-size-selector="javascript"></span>&ndash;&gt;-->
<!--                            </div>-->
                        </div>
                    </div>

                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
<!--                                <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                    <a th:href="@{/setting/day/off/new}" name="tambah" type="button" class="btn btn-block btn-default">+ NEW POSITION</a>-->
<!--                                </div>-->
                            </div>

                            <div class="col-md-6" align="right">
<!--                                <div class="input-group input-group-sm" style="width: 150px;">-->
<!--&lt;!&ndash;                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">&ndash;&gt;-->
<!--&lt;!&ndash;                                    <div class="input-group-btn">&ndash;&gt;-->
<!--&lt;!&ndash;                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>&ndash;&gt;-->
<!--&lt;!&ndash;                                    </div>&ndash;&gt;-->
<!--                                </div>-->
                                <h4 th:text="${dayOff.getKeterangan()}"></h4>
                                <h4 th:text="${#temporals.format(dayOff.getDateDayOff(),'dd-MMM-yyyy')}"></h4>
                            </div>

                        </div>
                    </div>
                <!-- /.box-header -->


                <div class="box-body table-responsive no-padding">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Pattern Schedule</th>
                            <th style="width: 10px">Allow</th>
                        </tr>
                        <tr th:each="dataPatternScheduleAllow,row : ${listPatternScheduleAllow}">
                            <td th:text="${(row.index + 1)}">1.</td>
                            <td th:text="${dataPatternScheduleAllow.getPatternSchedule()}">BEASISWA</td>
<!--                                <select class="form-control" name="status" id="status" style="width: 100%;">-->
<!--                                    <option th:text="${dataPatternScheduleAllow.getStatusAktif()}"-->
<!--                                            th:value="${dataPatternScheduleAllow.getStatusAktif()}">sdasd</option>-->
<!--                                    <option th:text="AKTIF"-->
<!--                                            th:value="AKTIF">sdasd</option>-->
<!--                                    <option th:text="NONAKTIF"-->
<!--                                            th:value="NONAKTIF">sdasd</option>-->
<!--                                </select>-->
                            <td class="a-center ">
<!--                                <input type="checkbox" th:if="${dataPatternScheduleAllow.getStatusAktif() == 'NONAKTIF'}" class="flat-red" name="statusAktif">-->
<!--                                <input type="checkbox" th:if="${dataPatternScheduleAllow.getStatusAktif() == 'AKTIF'}"  class="flat-red" name="statusAktif" th:checked="" >-->

                                <input type="checkbox" class="flat-red" th:value="${dataPatternScheduleAllow.getId()}" name="dayOffPatternScheduleAllowDto" th:checked="${dataPatternScheduleAllow.getStatusAktif()}">

<!--                                <input type="checkbox" th:checked="${dataPatternScheduleAllow.getStatusAktif() ? false: true}"/>-->

<!--                                <input type="hidden" name="dayOffPatternScheduleAllowDtos" th:value="${dataPatternScheduleAllow.getId()}">-->
                                <input type="hidden" name="dayOff" th:value="${dayOff.getId()}">
                            </td>
                        </tr>

                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Pattern Schedule</th>
                            <th>Allow</th>
                        </tr>

                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">

                    <div class="col-md-2">
                        <div class="box-tools">
                            <div class="btn-group">
                                <button type="submit" class="btn btn-danger">
                                    Save
                                </button>
                            </div>
                        </div>
                    </div>
<!--                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                        <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                aria-hidden="true">&laquo;</span></a>-->
<!--                        </li>-->
<!--                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                        </li>-->
<!--                    </ul>-->
                </div>
                </form>
            </div>

            <!-- /.box -->
        </div>
    </div>
</section>
</body>
</html>